package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.entity.JsDeviceMaintenance;
import com.ruoyi.web.v2.v1.entity.JsDistribution;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.v2.v1.entity.JsProduceCode;
import com.ruoyi.web.v2.v1.entity.JsProduction;
import com.ruoyi.web.v2.v1.entity.vo.DrugAndProduce;
import com.ruoyi.web.v2.v1.utils.PaginationUtil;

/**
 * <p>
 * v2.0分销登记 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-26
 */
public interface IJsDistributionService extends IService<JsDistribution> {

    AjaxResult add(JsDistribution distribution);

    AjaxResult edit(JsDistribution distribution);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, String supplierName, String purchaserName,  String animalCertNo);

    AjaxResult listAll();

    //屠宰生产清单
    PaginationUtil.PageResult<JsProduction> productionPage(Integer pageNum, Integer pageSize, String startTime, String endTime, String animalCertNo);

    AjaxResult editProduce(JsProduceCode jsProduceCode);

}
